sha256 stringlengths 64 64 | language stringclasses 27
values | size int32 1 491k | lines int32 1 21.8k | content stringlengths 1 200k |
|---|---|---|---|---|
cb3d91f33c97660ce9be117dfe5387b7349dcefcd991f39d8bb951f7963eb6dc | Shell | 1,163 | 29 | #!/bin/bash
# Set the partition and other SBATCH specifications
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=1
#SBATCH --time=01:00:00
#SBATCH --job-name=batch_recon
#SBATCH --output=/imaging/hauk/rl05/fake_diamond/scripts/preprocessing/mri/job_log/job_output.log
#SBATCH --error=/imaging/hauk/rl05/fake_diamond/scripts/... |
df04627c94d0981667df83a305ee994adf83b78c75f757e9d39c999e0fa8ba60 | Shell | 1,164 | 3 | # python dlim_train.py --flag 'fitness' --data_flag 'harry'&&python dlim_train.py --flag 'epistasis' --data_flag 'harry'&&python lan.py --flag 'fitness' --data_flag 'harry'&&python lan.py --flag 'epistasis' --data_flag 'harry'&&python lr_f.py --flag 'fitness' --data_flag 'harry'&&python lr_f.py --flag 'epistasis' --dat... |
bb93064e2fa82651ee1d542975c1fccfc86aa7fea1a5e31b4df0a4ba26d6cd65 | Shell | 1,171 | 33 | #!/bin/bash
set -e
set -o pipefail
set -u
BASE=/scratch/users/surag/retina/
RUNNAME=20220202_bpnet
JOBSCRIPT=/home/users/surag/kundajelab/retina-models/jobscripts/jobscript.sh
# make a copy of code run
mkdir -p $BASE/models/$RUNNAME/fold3/logs
mkdir -p $BASE/models/$RUNNAME/fold3/saved
cp -r /home/users/surag/kund... |
cc2b0097de1466999c2f5a5be5fbc78482692b08205796861814afccb509fce8 | Shell | 1,171 | 33 | #!/bin/bash
set -e
set -o pipefail
set -u
BASE=/scratch/users/surag/retina/
RUNNAME=20220202_bpnet
JOBSCRIPT=/home/users/surag/kundajelab/retina-models/jobscripts/jobscript.sh
# make a copy of code run
mkdir -p $BASE/models/$RUNNAME/fold4/logs
mkdir -p $BASE/models/$RUNNAME/fold4/saved
cp -r /home/users/surag/kund... |
d02156d7193e4da824b61f2ed39435f810f4d46de807a65f6adc5412a759d679 | Shell | 1,172 | 28 | #!/bin/bash
# set variables
datasets=("HBN")
scalars=("dti_md")
r_script="/cbica/projects/luo_wm_dev/two_axes/code/fit_GAMs/fit_GAMs_development_withACT_HBN.R"
# loop through each multishell dataset and scalar
for dataset in "${datasets[@]}"; do
config_file="/cbica/projects/luo_wm_dev/two_axes/code/config/config_$... |
5b56339dc6e12f1afa66d5892b7e29ce266905a2a428ecd8b40b2abc4e655da5 | Shell | 1,174 | 37 | #!/bin/bash -l
#SBATCH -J batch_export_optimized_EIANN_cifar10_extended
#SBATCH -o /scratch1/06441/aaronmil/logs/EIANN/batch_export_optimized_EIANN_cifar10_extended.%j.o
#SBATCH -e /scratch1/06441/aaronmil/logs/EIANN/batch_export_optimized_EIANN_cifar10_extended.%j.e
#SBATCH -p normal
#SBATCH -N 1
#SBATCH -n 18
#SBATCH... |
20eda09b19deb68e840732dcc4e525067de23f51930918ceb5019d564af9ae81 | Shell | 1,177 | 26 | #!/bin/sh
# Examples to run simulations
# ===========================
# Compile mechanisms for NEURON and CoreNEURON (pre-cleanup is necessary if multiple NEURON installations are used interchangeably)
# rm -R -f x86_64/*
# nrnivmodl -coreneuron mod
# Run NEURON test
#python3 run_ring_network.py -num_threads 3 -dur... |
c6952dfda493ad215b79729e7cd282292845815e28a2bacb3934732e9b0ec28d | Shell | 1,177 | 32 | #!/bin/bash
#SBATCH -p gidbkb
#SBATCH --nodes=1
#SBATCH --gpus-per-node=1
#SBATCH --ntasks-per-node=1
#SBATCH --cpus-per-gpu=8
#SBATCH --mem=100G
#SBATCH -o /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/train/slurm_stdout/%j.out
#SBATCH -e /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/train/... |
2e6086f58ca4bf0ddc507714a66704171cc84f7fdc2a887c62e5b579a8c704da | Shell | 1,178 | 44 | #!/bin/sh
# You do not want to run this. It was used to create the initial repo by
# extracting the relevant bits from Canu and renaming things.
if [ `pwd` != "/scratch/git/meryl-rebuild" ] ; then
echo Wrong directory.
exit
fi
echo DELETE
rm -rf .git *
echo INIT
git init
echo MERGE CANU
git remote add ccc /... |
c4c955557541c9e7ea0825af00a1b76a618e6dd1d76f0ad3ee414f79780c8b04 | Shell | 1,179 | 30 | #!/bin/bash
set -e
set -o pipefail
set -u
BASE=/scratch/users/surag/retina/
RUNNAME=20220202_bpnet
JOBSCRIPT=/home/users/surag/kundajelab/retina-models/jobscripts/jobscript.sh
cd /home/users/surag/kundajelab/retina-models/scripts
mkdir -p $BASE/models/$RUNNAME/fold0/interpret_bigwigs
for x in `ls $BASE/bigwigs`
d... |
aa74a2100d727a66fd17950e60f2c6b8e2574cb9e246e79eeb5025567b7ad889 | Shell | 1,180 | 28 | #!/bin/bash
# Set the partition and other SBATCH specifications
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=1
#SBATCH --time=01:00:00
#SBATCH --job-name=batch_recon
#SBATCH --output=/imaging/hauk/rl05/fake_diamond/scripts/preprocessing/mri/job_log/job_output.log
#SBATCH --error=/imaging/hauk/rl05/fake_diamond/scripts/... |
57009d9005d628423fa7297ed356c60dd0b3eb17fe77e1aae5705df88011aa1f | Shell | 1,181 | 39 | #!/usr/bin/env bash
# Usage: ./populate-autism_gsheets.sh
# Load the required executables
source ~/.bash_profile
module load miniconda/4.12.0
for t in nanopore PacBio_HiFi other
do
if [ $t == "PacBio_HiFi" ]
then
nt="hifi"
elif [ $t == "nanopore" ]
then
nt="ont"
else
nt=$t
fi
target_file=db... |
d6d04aeab966a9acad5f02e972a03af2a3678af539a7b029377e101f0c202af4 | Shell | 1,184 | 24 | # analyze attr scores for quantile binned DeepSTARR test sequences from distilled models with stdev prediction
# reference scores are the average attr scores obtained from the ensemble average of models (no stdev prediction)
QUANTILES_ARR=( 0.25 0.5 0.75 1.0 )
REF_DIR=../results/DeepSTARR_lr-decay #path to dir contain... |
34ccab982c4c2af7481a05971eb4faa188ae519b919ec8f4d4e0504b30f35ded | Shell | 1,186 | 30 | #! /bin/sh
cd tests
. ./compat.sh
sort -k2,2 > ${pref}.md5sum <<EOF
72f1913b3503114c7df7a4dcc68ce867 ${pref}_m40_s16m.histo
72f1913b3503114c7df7a4dcc68ce867 ${pref}_automerge_m40_s1m.histo
72f1913b3503114c7df7a4dcc68ce867 ${pref}_m40_s1m_merged.histo
72f1913b3503114c7df7a4dcc68ce867 ${pref}_m40_s1m_text.histo
EOF
FI... |
36bbe2a1285538b5b70c575376b21755927f35e2d9f43e015294a842546487bf | Shell | 1,188 | 75 | #! /bin/bash
set -e
set -x
cd ../..
if [ $# -eq 0 ]; then
echo "$0 experimental_date animal_id ?"
exit 1
else
ED=$1
ID=$2
fi
OUTPUT="e:/data/user/yu-ting/analysis/phys"
OUTPUT_FILE="$OUTPUT/${ED}_${ID}__2P_YW/concat_etl.log"
export NO_COLOR=1
# Redirect all script output (stdout and stderr) to the log fil... |
5e2feeca726f557a370882061657b4cc13ab372980dbedfc5200606209c72f73 | Shell | 1,190 | 28 | #!/bin/bash
pop="$1"
task="$2"
method="$3"
eval="$4"
START=$(pwd)
OUT="$(mktemp -d /tmp/merge.XXXXX)"
cp "../bids_dataset/derivatives/rsa/sub-average/figures_stiched_tmp/pop-${pop}_task-${task}_method-${method}_eval-${eval}_model-"*.png $OUT
cd "$OUT"
to_merge=""
for model in "symbolic" "IT" "both"; do
convert "... |
64693c6c312e26c696c7e29847fde9817265be8677607ed2b28eae8d5c841330 | Shell | 1,192 | 56 | #!/bin/sh
#
# Downloads sequence for A. thaliana from TAIR v10 and build Bowtie 2 index.
#
GENOMES_MIRROR=ftp://ftp.arabidopsis.org/home/tair
get() {
file=$1
if ! wget --version >/dev/null 2>/dev/null ; then
if ! curl --version >/dev/null 2>/dev/null ; then
echo "Please install wget or curl somewhere in your ... |
fcf15e63ba23211d528a5bd115273fb56df21d5d1caf144342437a49cf07ecc2 | Shell | 1,193 | 47 | #! /bin/bash
#SBATCH --job-name=SHUFF_allofc
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --mem=10G
#SBATCH --time=24:00:00
#SBATCH --cpus-per-task=4
#SBATCH --output=slurm-%j.out
#SBATCH --account=torch_pr_467_general
# load matlab
module load matlab/2025b
#where output will be pla ed
savedir=/scratch/dh148/dynamic... |
621e91769956e8833f8bf4c3af9d9092eb2023f55e87a9871b1b4481d18fd715 | Shell | 1,202 | 35 | #!/bin/bash
# shrink inner skull if BEM surfaces touch
# usage: shrink_innerskull.sh <subject number> (e.g., 05)
# note: mne_watershed_shrink.sh must be in same directory
# note: check whether symbolic link was properly established
export FSVER='6.0.0'
export FSDIR=${FSROOT}/${FSVER}
export FREESURFER_HOME=/imaging... |
1063ad4ff595603079149c47be90ed3fdd2bfb49c6cb20e80ead4d41ef4b25b3 | Shell | 1,203 | 54 | #!/bin/bash
#
# [description]
# Set a status with a given name to the specified commit.
#
# [usage]
# set-commit-status.sh <NAME> <STATUS> <SHA>
#
# NAME: Name of status.
# Status with existing name overwrites a previous one.
#
# STATUS: Status to be set.
# Can be "error", "failure", "pending" or ... |
5f23c9139247291490431dfc16d1635c5a8e0de647666831a56feea1ece90af4 | Shell | 1,203 | 44 | #!/bin/bash
# helper file for RVC snakemake rule changeHeader
# 1 {input.vcf}
# 2 {input.gtf}
# 3 {output.vcf}
input_vcf=$1
input_gtf=$2
output_vcf=$3
tmp_bed=$(mktemp)
tmp_bed="${tmp_bed}.bed"
if [[ $input_gtf == *.gz ]];
then
zcat $input_gtf | cut -f1,4,5,9 > $tmp_bed
else
cut -f1,4,5,9 ... |
6c75a91cde52fdb4725b56c897f110334ab6ab307fb3cff5142083c050c8b6e6 | Shell | 1,204 | 56 | #!/bin/bash
set -e -E -u -o pipefail
echo "installing lightgbm and its dependencies"
pip install \
--prefer-binary \
--upgrade \
--constraint ./.ci/pip-envs/requirements-oldest.txt \
"$(echo dist/*.whl)[arrow,pandas,scikit-learn]"
echo "installed package versions:"
pip freeze
echo ""
echo "checking ... |
708f30398102141abdfdb2637ef219537256dd404e65bfb914130716b108c8d4 | Shell | 1,204 | 30 | #!/bin/bash
#SBATCH -p gidbkb
#SBATCH --nodes=1
#SBATCH --gpus-per-node=1
#SBATCH --ntasks-per-node=1
#SBATCH --cpus-per-gpu=8
#SBATCH --mem=100G
#SBATCH -o /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/eval/slurm_stdout/%j.out
#SBATCH -e /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/eval/sl... |
2be0a5c4cce403c79c93bb96f949a0075f06132efd7e206c8c197b008f4567c5 | Shell | 1,205 | 23 | # run attribution analysis with DeepExplainer for top 500 Dev enhancers on an ensemble of DeepSTARR models
N_MODS=10
# MODELS_DIR=../results/DeepSTARR_lr-decay
MODELS_DIR=../results/DeepSTARR_lr-decay/ensemble_distilled
DATA=../data/DeepSTARR/Sequences_activity_all.h5
METHOD=shap
export LD_LIBRARY_PATH=$LD_LIBRARY_P... |
5e8204260cbf0ee744e70d45725fbb1666b9cfb68ce11d1c79957914957eeb3c | Shell | 1,212 | 40 | #!/bin/bash
# ============================================================================
# Developing brain Region Annotation With Expectation-Maximization (Draw-EM)
#
# Copyright 2013-2020 Imperial College London
# Copyright 2013-2020 Antonios Makropoulos
#
# Licensed under the Apache License, Version 2.0 (the "Lice... |
d0234bcf51f64756e471b6b641592b413e1d35b8f9c2c15c7c31252e4236b144 | Shell | 1,212 | 77 | #!/bin/bash
set -e
set -x # Enable shell tracing
cd ../..
if [ $# -eq 0 ]; then
echo "$0 experimental_date animal_id ?"
exit 1
else
ED=$1
ID=$2
nP=$3
fi
OUTPUT="e:/data/user/yu-ting/analysis/phys"
OUTPUT_FILE="$OUTPUT/${ED}_${ID}__2P_YW/plane${nP}/cli.log"
mkdir -p "$OUTPUT/${ED}_${ID}__2P_YW/plane${nP}"... |
14e85abb5a6b516afc3670974fd292a459ab4a7d1c8cc25c6d47c6408580c79a | Shell | 1,213 | 17 | #!/bin/bash
cd /src
python -m pip install --prefix=$(python -m site --user-base) -e /src/datajoint-python/
python -m pip install --prefix=$(python -m site --user-base) -e /src/attorch/
python -m pip install --prefix=$(python -m site --user-base) -e /src/neuro_data/
python -m pip install --prefix=$(python -m site --user... |
7415d5ce16254af9d13c47ccf03ed23b6c55cb9173ccd709174604426f67cf44 | Shell | 1,215 | 30 | #!/bin/bash
#SBATCH -p gidbkb
#SBATCH --nodes=1
#SBATCH --gpus-per-node=1
#SBATCH --ntasks-per-node=1
#SBATCH --cpus-per-gpu=8
#SBATCH --mem=100G
#SBATCH -o /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/ISM/slurm_stdout/%j.out
#SBATCH -e /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/ISM/slur... |
0c5e62af36d6b45ed36c96b4c59a566ad5fda2f3ce8d110b23ca287919d314cf | Shell | 1,220 | 32 | #!/bin/bash -l
#SBATCH --job-name=conn_rewire
#SBATCH --partition=prod
#SBATCH --nodes=64
#SBATCH --tasks-per-node=5
#SBATCH --cpus-per-task=4
#SBATCH --mem=0
#SBATCH --exclusive
#SBATCH --time=2:00:00
#SBATCH --account=proj112
#SBATCH --out=logs/%j.txt
#SBATCH --err=logs/%j.txt
. /etc/profile.d/modules.sh
unset MODUL... |
f973a503aef48d319e3f82ceab342900464a843e5ed979ca295cb117cf03cd3b | Shell | 1,220 | 25 | #!/bin/bash
#$ -M mzarodn2@nd.edu # Email address for job notification
#$ -m abe # Send mail when job begins, ends and aborts
#$ -pe smp 24 # Specify parallel environment and legal core size
#$ -q long # Specify queue
#$ -N BBmap # Specify job name
dir="/scratch365/mzarodn2/Neurons_Se... |
5698447c3792c77925b5c68cdb73ef056a72fec906c7b25a09f9996616c8a13c | Shell | 1,222 | 29 | #!/bin/bash
# Renzo's bold correction method (taken from afni_VASO_eval_SPM.sh)
#(adapted from a script written by Renzo Huber)
fBaseName=$1
# The first vaso volume is first nulled volume divided by the 2nd BOLD volume
3dcalc -prefix tmp_VASO_vol1.nii \
-a ${fBaseName}_notnulled.nii'[1]' \
-b $... |
da04589a09762782ff44302748a472f4dab5fae15d74216475530584d85d4e80 | Shell | 1,228 | 29 | #!/bin/sh
############################################################################
###################### PARAMETERS THAT CAN BE CHANGED ######################
############################################################################
# Array that contains the input images to create the atlas
export IMG_INPUT=(`... |
2f5f685aafe41ab1a59c645f6775d1faef40cf3f84ac6d48c745d58ad0e9b1cd | Shell | 1,230 | 50 | #!/bin/bash
# dataset = first argument
dataset=$1
# make qc dir
qc_dir="/cbica/projects/luo_wm_dev/input/${dataset}/raw/qc_files"
mkdir -p "${qc_dir}"
# go to qsiprep clone
cd /cbica/projects/luo_wm_dev/input/${dataset}/raw/datalad_qsiprep
# identify files already downloaded and get the qc csv
downloaded_files=$(... |
87660d1d5ec806e91e3ea8c3568460f89f0eee36aca5d17c341dd81f3c3e1669 | Shell | 1,231 | 31 | # trains a single distilled DeepSTARR model that predicts uncertainty (stdev) and mean w/ EvoAug
OUTDIR=../results/DeepSTARR_evoaug/distilled_with_std
DATA=../data/DeepSTARR/evoaug/all_data_with_ensemble_metrics_hierarchical.h5
CONFIG=../config/DeepSTARR.yaml
PROJECT_NAME=DeepSTARR_distilled_with_std
NMODS=10
mkdir -... |
c4d28464b906564b20092847321b3af47f61f4228af0c20a72df6a0c3ab236b4 | Shell | 1,232 | 42 | #!/bin/bash
set -euo pipefail
# where your per-chr .dat files live
INDIR=/path/to/univ_TWAS
# where you want to put the combined .allchr.dat files
COMBDIR=/path/to/univ_combined_TWAS
mkdir -p "$COMBDIR"
# list of regions (one per line, matching the prefix in your filenames)
REGIONS=/path/to/regions.txt
# for each ... |
735d75ee34f88bdc864d59f8e63674e3c50d45fc36686be11f777f76a14bccd7 | Shell | 1,234 | 33 | #!/usr/bin/env bash
echo "Preparing"
# Install Anaconda (Modified to install latest 64bit Linux Anaconda release - https://stackoverflow.com/questions/48230953/permanent-link-to-latest-anaconda)
if [ -x "$(command -v conda)" ]; then
echo 'Anaconda is already installed!'
else
curl -fsSL -o miniconda_install.sh "ht... |
3828ef443d6acfa43be9b4232f749fae7711db3538af812e834e89d8dbe844a9 | Shell | 1,235 | 37 | #!/bin/bash
#$ -M jnajera2@nd.edu # Email address for job notification
#$ -m abe # Send mail when job begins, ends and aborts
#$ -pe mpi-24 24 # Specify parallel environment and legal core size
#$ -q debug # Specify queue
#$ -N COUNT # Specify job name
# this remains the same for all jobs (specific to mapping)
OUTPR... |
04640686e22e7820d88d80af4501c7c218d79479745a348fcc746624e913b734 | Shell | 1,237 | 27 | #!/bin/bash
# AWS EC2 instance startup script https://docs.aws.amazon.com/AWSEC2/latest/UserGuide/user-data.html
# This script will run only once on first instance start (for a re-start script see mime.sh)
# /home/ubuntu (ubuntu) or /home/ec2-user (amazon-linux) is working dir
# Use >300 GB SSD
cd home/ubuntu
if [ ! -... |
f4c3005ff8258c0c4722fee774c4821359123a611c71956b4a710d51b1e08cab | Shell | 1,237 | 50 | # conda activate foveal_decoding
subjects=()
subject_ids=()
echo "Extracting deliniation"
for i in "${!subjects[@]}"
do
# Set global variables
export sub="${subjects[i]}"
export sub_id="${subject_ids[i]}"
echo $sub
SUBJECTS_DIR="subject directory" python -m neuropythy atlas $sub_id &
done
wait
... |
2125442804b4a12f9c8264fa112dcde7379d8c30ec005b829934e3a7c20ac0e6 | Shell | 1,239 | 50 | # ===== SET UP =====
set -ueo pipefail
if [ $# -ne 1 ]; then
echo -e "Usage: $0 <input_data_and_params>"
exit 1
fi
echo -e "#=====================\n#"
echo -e "# $(basename "$0") \n#"
echo -e "#=====================\n#"
# Read input config
neda=$(dirname $(dirname "$0"))
source $neda/scripts/process_input.sh... |
4d0a44ff3a175851f7249a45f7463af932aae06dd40c9c1a680a65627d7f6d95 | Shell | 1,242 | 52 | #!/bin/bash
SubjectList="100307"
TaskNameList=""
TaskNameList="${TaskNameList} EMOTION"
TaskNameList="${TaskNameList} GAMBLING"
TaskNameList="${TaskNameList} LANGUAGE"
TaskNameList="${TaskNameList} MOTOR"
TaskNameList="${TaskNameList} RELATIONAL"
TaskNameList="${TaskNameList} SOCIAL"
TaskNameList="${TaskNameList} WM... |
11a1a94ace3de751149566362781c82a9d93e504d06a28474bb3b9ba58f42bc2 | Shell | 1,243 | 46 | #!/bin/bash
set -e -u -o pipefail
PKG_TARBALL="${1}"
declare -i ALLOWED_CHECK_NOTES=${2}
# 'R CMD check' redirects installation logs to a file, and returns
# a non-0 exit code if ERRORs are raised.
#
# The '||' here gives us an opportunity to echo out the installation
# logs prior to exiting the script.
check_succee... |
4fbd4cd694b6a0c46fc350defea02f2d920d965a7295a053d10d6d1af6d29f0d | Shell | 1,244 | 31 | #!/bin/bash -l
#SBATCH --job-name=conn_rewire
#SBATCH --partition=prod
#SBATCH --nodes=2
#SBATCH --tasks-per-node=5
#SBATCH --cpus-per-task=4
#SBATCH --mem=0
#SBATCH --exclusive
#SBATCH --time=2:00:00
#SBATCH --account=proj112
#SBATCH --out=logs/%j.txt
#SBATCH --err=logs/%j.txt
. /etc/profile.d/modules.sh
unset MODULE... |
1b31621f2f06ce6d300407f9ee74a9d83c8f13ee6ffc6209ba9a1109fe18deec | Shell | 1,248 | 28 | #!/bin/bash
mkdir interactions
mkdir cluster
mkdir mmgbsa
for m in 1477 1478 1479 1480 1481 1482 1483 1484 1485
do
# merging 5x2000ns trajectories
run trj_merge.py $m\_prod_1/$m\_prod_1-out.cms $m\_prod_1/$m\_prod_1_trj $m\_prod_2/$m\_prod_2_trj $m\_prod_3/$m\_prod_3_trj $m\_prod_4/$m\_prod_4_trj $m\_prod_5/... |
b81997fe9915c34f8d8c5bf1490a12eefa2953d461058f450a8f6f2247ed4b95 | Shell | 1,256 | 46 | #!/bin/bash
# Set input directory and FreeSurfer home directory
module load freesurfer
source "$FREESURFER_HOME/FreeSurferEnv.sh"
echo "Freesurfer home: $FREESURFER_HOME"
conda activate mne1.4.2
subject="sub-$1"
# set subjects_dir
SUBJECTS_DIR="/imaging/hauk/rl05/fake_diamond/data/mri"
echo "SUBJECTS_DIR: $SUBJECTS... |
bf21e68c362b96ee7107ebafd748a06d12150b19a07f4076b3e60533ee2ed877 | Shell | 1,256 | 44 | #!/bin/bash -l
#SBATCH -J eiann_cpu_mnist
#SBATCH -o /ocean/projects/bio250022p/chennawa/logs/EIANN/eiann_cpu_mnist.%j.o
#SBATCH -e /ocean/projects/bio250022p/chennawa/logs/EIANN/eiann_cpu_mnist.%j.e
#SBATCH --requeue
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --partition=RM
#SBATCH --mem=32G
#SBATCH --cpus-per-task=... |
d67317c2ddff760d20512ec92a3147c2d91bac8211ae603b5fbee51ec0fb8deb | Shell | 1,256 | 30 | set -e
SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
# Build Docker container
docker build . -f ./containerization/Dockerfile -t deepmi/lit:singularity_preparation
# Save Docker container as Singularity image
docker run --privileged -t --rm \
-v /var/run/docker.sock:/var/run/do... |
9a1a3b6362007c015cd7ee5c9eef3ec267743cd4e39c782bd83e72866632852b | Shell | 1,257 | 32 | #!/bin/bash
#SBATCH -p gidbkb
#SBATCH --nodes=1
#SBATCH --gpus-per-node=1
#SBATCH --ntasks-per-node=1
#SBATCH --cpus-per-gpu=8
#SBATCH --mem=100G
#SBATCH -o /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/ISM/slurm_stdout/%j.out
#SBATCH -e /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/ISM/slur... |
62b1d284c6c9e498c88b5cd237cfc94c157351655699db35eccd2ecf4cc18cd6 | Shell | 1,259 | 42 | #! /bin/sh
cd tests
. ./compat.sh
sort -k2,2 > ${pref}.md5sum <<EOF
d93b7678037814c256d1d9120a0e6422 ${pref}_m15_s2M.histo
d93b7678037814c256d1d9120a0e6422 ${pref}_m15_s2M_zip.histo
EOF
# Count multiple files with many readers
$JF count -t $nCPUs -F 4 -o ${pref}_m15_s2M.jf -s 2M -C -m 15 seq1m_0.fa seq1m_1.fa seq1m_... |
3ef92d22ee1fed316339576156fbc16eedc0cfcbc40c60c965eae1f3f8b3bea5 | Shell | 1,261 | 36 | #!/bin/bash -ve
export PERL_HASH_SEED=0
## generate alignment gff3 formatted output
../../util/gtf_to_alignment_gff3.pl stringtie_merged.gtf > stringtie_merged.gff3
## generate transcripts fasta file
# not including the genome here... too big, but here's how you'd do it.
#../../util/gtf_genome_to_cdna_fasta.pl st... |
993e87c264ee825ed62e8d175d3579aad4147653f7082ca723554a484b6a3ffa | Shell | 1,267 | 29 | #!/bin/bash
#SBATCH --job-name=datalad_get_qsiprep_HBN
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=1
#SBATCH --mem=5G
#SBATCH --time=12:00:00
#SBATCH --propagate=NONE
#SBATCH --output=/cbica/projects/luo_wm_dev/two_axes/code/logs/datalad/HBN/qsiprep_%j.out
#SBATCH --error=/cbica/projects/luo_wm_dev/two_axes/code/logs/da... |
f6e9893a85d6cd65eacf0e5933e31f2275f32390e1b7be2868f59336748123e5 | Shell | 1,267 | 48 | #!/bin/bash
# usage: find_max-roi_slice.sh <roi_file> <dimension>
# roi_file: the file containing the roi
# dimension: the dimension to slice along (x, y, or z)
roi_file=$1
dimension=$2
if [[ $dimension == "x" ]]; then
dimn=dim1
elif [[ $dimension == "y" ]]; then
dimn=dim2
elif [[ $dimension == "z" ]]; then
... |
0148e4cb843c511cd3c1a6ee5c50f90b8c8254575d39b6d358ce5b5cb4d13eb3 | Shell | 1,270 | 31 | #!/usr/bin/env bash
# Wrapper to run Snakemake on ARC using a user-space micromamba + fresh conda
# Submit with: sbatch run_smk.sbatch OR run directly: bash run_smk.sh [extra snakemake args]
set -euo pipefail
# --- Configurable knobs (override via environment) ---
: "${MAMBA_EXE:=$HOME/moka/bin/micromamba}"
: "${M... |
10ec2eb8f96f504b87f5a8d6540087d8a48014001f046c1763e4ee6e40209328 | Shell | 1,270 | 32 | #!/bin/bash
#SBATCH --job-name=datalad_get_qsiprep_PNC
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=5
#SBATCH --mem=1G
#SBATCH --time=12:00:00
#SBATCH --propagate=NONE
#SBATCH --output=/cbica/projects/luo_wm_dev/two_axes/code/logs/datalad/PNC/qsiprep_%j.out
#SBATCH --error=/cbica/projects/luo_wm_dev/two_axes/code/logs/da... |
be1aec3ced698fde087bb267ae051282c4772d85d41ead23d9b17d6ff4042627 | Shell | 1,270 | 22 | #!/bin/bash
prefix=/People/alexbui/workspace/proteins/ab_affinity
output_prefix=/Arontier_1/Projects/AbAg_decoy/dataset
python $prefix/src/make_graph_rcsb.py -o $output_prefix/generated_graphs/nb_pmhc_fullgraph \
-f $output_prefix/structures_chai1-single/cross/nb-pmhc/rank0_pdbqts \
-f2 $output_prefix/generate... |
f31db576ec06195940e581138125cfb77f82ddcc077fa59c8b419c42c1132497 | Shell | 1,271 | 22 | # run ensemble_predict_DeepSTARR_over_ensemble_size.py
# examines different sizes of DeepSTARR ensembles, up to 25
MODEL_DIR=../results/DeepSTARR_ensemble_size # path to DeepSTARR models
DATA=../data/DeepSTARR/Sequences_activity_all.h5 # path to STARR-seq data
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$CONDA_PREFIX/l... |
e2768b9264af5105f44882b6a40614fd8cda794343aec6e6a661e7a66b5998b7 | Shell | 1,274 | 29 | #!/bin/bash
#SBATCH --job-name=datalad_get_qsiprep_HCPD
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=1
#SBATCH --mem=4G
#SBATCH --time=12:00:00
#SBATCH --propagate=NONE
#SBATCH --output=/cbica/projects/luo_wm_dev/two_axes/code/logs/datalad/HCPD/qsiprep_%j.out
#SBATCH --error=/cbica/projects/luo_wm_dev/two_axes/code/logs/... |
933dc321502c0d7856be7d41bdae18ea18083615e06196ae6d8855d27a053889 | Shell | 1,276 | 43 | #!/bin/sh
#
# Copyright 2011, Ben Langmead <langmea@cs.jhu.edu>
#
# This file is part of Bowtie 2.
#
# Bowtie 2 is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your o... |
2bf91222dc4af77f1fabcaabf10902528dd37a0395361884ea0cb2769e017110 | Shell | 1,278 | 51 | #!/usr/bin/env bash
set -euo pipefail
#############################################
# Usage:
# bash move_subject.sh <source_subject_dir> <destination_subject_dir>
#
# Example:
# bash move_subject.sh \
# /usr/local/freesurfer/7-dev/subjects/sub-SSI0008_lesionfilled \
# /mnt/e/NewSubjects/sub-SSI0008_lesio... |
46aa2e018921b450deae4368d029f41d9ede55eca2a38629aaefacabf930ca47 | Shell | 1,280 | 43 | #!/bin/bash
# Module authors: Komal S. Rathi, Adam Kraya
# molecular subtype differences
# PediatricOpenTargets 2022
# This script runs the steps for DESeq2 tumor-only analysis with and without RUVg batch correction.
set -e
set -o pipefail
# Run testing files for circle CI - will not be by default
IS_CI=${OPENPBTA_T... |
6dc83120927229e3a9981c6c91a9c046ba63880d35b312580e3515e77b7ad0c9 | Shell | 1,281 | 32 | #!/usr/local/fsl/bin/bash
# Spatial Smoothing using SUSAN (edge preserving)
fBaseName=$(basename $(basename $1 .gz) .nii)
FWHMsmooth=$2
export FSLOUTPUTTYPE=NIFTI
# create a mask based on all all time points being above 10% of the range between the 2% and 98% percentile
prctiles=($(fslstats ${fBaseName} -p 2 -p 98))
... |
993c013f29ade98f09acefd36527e57adc25e56a62d2f97680e4bd3a1eee1db0 | Shell | 1,287 | 49 | #!/usr/bin/env bash
# 批量对接脚本,基于 AutoDock Vina
# 用法:
# bash vina_batch.sh protein.pdbqt ligands.smi CX CY CZ SX SY SZ outdir
#
# 参数说明:
# protein.pdbqt = 受体
# ligands.smi = 配体库 (SMILES文件, 一行一个: <SMILES> <NAME>)
# CX CY CZ = box中心坐标
# SX SY SZ = box大小 (Å)
# outdir = 输出目录
... |
fd3188871cb9e34638202a933322b846152b8841ae7edc0752213e47f8e07a1d | Shell | 1,289 | 32 | #from Ronnie
#!/bin/bash
#change these 3 things, make sure to put your full path, also change --use-bases-mask in the command line as needed for single vs dual indexed runs
run_folder="/net/shendure/vol9/seq/NEXTSEQ/??????"
sample_sheet="<your experiment folder>/demux-samplesheet-singleindex.csv"
output_folder="<your ... |
77c8880a2d71f9a9b9fb0a86d56757395d110982e8c9d4b9b90a4c5f87f74a6e | Shell | 1,292 | 29 | #!/usr/bin/env bash
AP_DIR=$1
AP_PREFIX=$2
AP_LINE=$3
AP_OUT=$4
CELL_ID=$5
if [[ "$#" -ne 5 ]]; then
echo "-------------------------------------------------------------------"
echo "Usage:> $0 <AP_DIR> <AP_PREFIX> <AP_LINE> <AP_OUT> <CELL_ID>"
echo "---------------------------------------------------------... |
b11db4d03a52cb957b6e0c5f842550192de81f9148374e4f4c762ac613e50a6f | Shell | 1,305 | 26 | #!/bin/bash/
## This script cleans up the final processing steps of the sciRNAseq3 pipeline.
# These paramaters should match the config.yaml file for the snakemake pipeline
OUTPUT=output
GTF=/home/blencowe/blencowe31/sdupas/mm10/gencode.vM12.annotation.gtf.gz
output_folder=$output/report/gene_count/
input_folder=$outp... |
dd0870a832af02cbed30d6ff0df0bc94b2634246e9dc5f1a7f363b01e337cb83 | Shell | 1,309 | 51 | #!/bin/bash
set -ev
export PERL_HASH_SEED=0
if [ ! -e test.genome.fasta ]; then
gunzip -c test.genome.fasta.gz > test.genome.fasta
fi
if [ ! -e transcripts.gtf ]; then
gunzip -c transcripts.gtf.gz > transcripts.gtf
fi
if [ ! -e mini_Pfam-A.hmm ]; then
gunzip -c mini_Pfam-A.hmm.gz > mini_Pfam-A.hmm
fi
... |
fde525c6aa90c6dbb1c3fcd83023ccbe3faacaf25eb68202f3bc496ecc648c50 | Shell | 1,309 | 44 | #!/bin/bash -l
#SBATCH -J eiann_gpu_mnist_ray
#SBATCH -o /ocean/projects/bio250022p/chennawa/logs/EIANN/eiann_gpu_mnist_ray.%j.o
#SBATCH -e /ocean/projects/bio250022p/chennawa/logs/EIANN/eiann_gpu_mnist_ray.%j.e
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --partition=GPU-shared
#SBATCH --gres=gpu:v100-32:3
#SBATCH --m... |
e659b5336dff194a34bef38d3bbb60f2cb8d05207a510cfdf28979d2eee28e3b | Shell | 1,310 | 44 | #!/bin/bash
#
# prepare_fieldmap <fmap_e1> <fmap_e2> <fmap_e2_ph> <anat_mp2rage_inv2>
#
# Prepares fieldmap.nii for distortion correction using fsl fugue.
fieldmap_e1=$1
fieldmap_e2=$2
fieldmap_ph=$3
mp2rage_inv2=$4
# register mp2rage INV2 to fieldmap magnitude of echo 1 (save transformation matrix only)
flirt -in ${... |
26e20a6e6c5f67924eb59c7bd6b66430235a475518fffa153e2d8ddbca1a1352 | Shell | 1,312 | 75 | #!/bin/bash
set -e
set -x # Enable shell tracing
cd ../..
if [ $# -eq 0 ]; then
echo "$0 experimental_date animal_id ?"
exit 1
else
ED=$1
ID=$2
fi
# which machine
if [[ $(hostname) == "bkrunch-linux" ]]; then
OUTPUT="/scratch/data/user/yuting/analysis/phys"
elif [[ $(hostname) == "bkrunch2" ]]; then
OU... |
87a5d21ce1783899f5f7b4019d0b82087f32ae1b7d0b8ea7d80a2c308a046491 | Shell | 1,312 | 10 | ./pbsim --prefix pb-1 --depth 0.1 --sample-fastq m131017_060208_42213_c100579642550000001823095604021496_s1_p0.1.subreads.fastq --length-min 1000 --length-max 30000 --seed 11 hs38.fa
bin/mason_variator -ir hs38.fa -s 1 -ov hs38-s1.vcf --snp-rate 1e-3 --small-indel-rate 2e-4 --sv-indel-rate 0 --sv-inversion-rate 0 --sv... |
64c35cc467d5de3fb99ec5e1e2ae0e252b80ff04fdada1be0ed16e730bd1138a | Shell | 1,313 | 53 | #!/bin/sh
#
# Downloads sequence for a D. melanogaster from flybase. Currently set
# to download 5.22, but F, REL, and IDX_NAME can be edited to reflect a
# different version number. (But note that you will usually also have
# to change the date in REL.)
#
GENOMES_MIRROR=ftp://ftp.flybase.net/genomes/Drosophila_mel... |
af232c2e4b44632be9f27e6abcc3d91a3539dc2f683f9e8910013a13f242ab67 | Shell | 1,319 | 34 | #!/bin/bash
# ============================================================================
# Developing brain Region Annotation With Expectation-Maximization (Draw-EM)
#
# Copyright 2013-2020 Imperial College London
# Copyright 2013-2020 Antonios Makropoulos
#
# Licensed under the Apache License, Version 2.0 (the "Lice... |
2da0cdef132bbf0c25a384dbd94d6e562eb869838a4eb1d537f682252ce43c67 | Shell | 1,322 | 61 | #!/bin/sh
#
# Downloads sequence for the canFam2 version of C. familiaris (dog)
# from UCSC.
#
i=2
BASE_CHRS=chr1
while [ $i -lt 39 ] ; do
BASE_CHRS="$BASE_CHRS chr$i"
i=`expr $i + 1`
done
BASE_CHRS="$BASE_CHRS chrX chrM chrUn"
CHRS_TO_INDEX=$BASE_CHRS
CANFAM2_BASE=ftp://hgdownload.cse.ucsc.edu/goldenPath/canFam2/... |
7a53d9fdd74d582511125eac15aa4a7585c72f4842f3f9d15bc9bc0ed4435d07 | Shell | 1,322 | 69 | #!/bin/bash
set -e
set -x # Enable shell tracing
cd ../..
if [ $# -eq 0 ]; then
echo "$0 experimental_date animal_id ?"
exit 1
else
ED=$1
ID=$2
nP=$3
fi
OUTPUT="e:/data/user/yu-ting/analysis/phys"
OUTPUT_FILE="$OUTPUT/${ED}_${ID}__2P_YW/plane${nP}/cli.log"
mkdir -p "$OUTPUT/${ED}_${ID}__2P_YW/plane${nP}"... |
27cfbfe58265e84e1a56be1f06dad4cd32fe582c68ae4befc5b4ee2d9d84766a | Shell | 1,330 | 69 | #!/bin/bash
set -e
set -x # Enable shell tracing
cd ../..
if [ $# -eq 0 ]; then
echo "$0 experimental_date animal_id ?"
exit 1
else
ED=$1
ID=$2
nP=$3
fi
OUTPUT="e:/data/user/yu-ting/analysis/phys"
OUTPUT_FILE="$OUTPUT/${ED}_${ID}__2P_YW/plane${nP}/cli.log"
mkdir -p "$OUTPUT/${ED}_${ID}__2P_YW/plane${nP}"... |
a216385ccd6459b0a4d21ad2264ed624f0863857c9a8a979719ddd767392a119 | Shell | 1,332 | 38 | #!/bin/bash
# EDIT THIS TO MATCH YOUR LOCAL INSTALL PATH FOR OUR REPO!
REPO_PATH='/path/to/your/repo/install'
cd $REPO_PATH
# Make subdirectory structure matching my original setup so the relative paths work
mkdir ignorel
mkdir ignore/figs
mkdir ignore/libraries
mkdir ignore/outputs
mkdir ignore/_targets
mkdir ignore... |
43abf10092939e1155256d5e2da8742bb228c3a26fce6986a03ce870da053d45 | Shell | 1,334 | 42 | #!/bin/bash
# Josh Shapiro for CCDL 2019
#
# Takes one environment variable, `OPENPBTA_BASE_SUBTYPING`, if value is 1 then
# uses histologies-base.tsv and generates only rna-seq independent samples
# for fusion filtering. If value is 0, runs all modules with histologies.tsv (Default).
set -e
set -o pipefail
RUN_FOR_... |
0dbfee6ea95c013e29eeee888eef997bce8f7664156ff5439e3a6e203d558e55 | Shell | 1,341 | 49 | #!/bin/bash
version=""
sshoptions=""
displayoptions="unix"
while getopts ":ulhsv:" opt; do
case ${opt} in
u )
echo "Muscle X on Docker is updating..."
#docker rmi $(docker images | grep 'biocat/musclex')
docker pull biocat/musclex
exit
;;
l )
curl 'https://registry.hub.d... |
af10b38ebd3a3b4da6b3668fadfe576837206a9fe2b575c438f035870ee4e96d | Shell | 1,344 | 40 | #!/bin/bash
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=1
#SBATCH --time=01:00:00
#SBATCH --output=/dev/null # suppress default output file
#SBATCH --error=/dev/null # suppress default error file
######################
# setup for ... |
f1227061f0165c2bb81788c2c2d84362ac6be02381f72f270ead220b7e08da87 | Shell | 1,344 | 44 | #!/bin/bash
#
# importruns_vaso.sh <basename> <TR> <run1_file> <run2_file>
#
# - imports already splitted functional vaso runs into current assuming nulled to be acquired first
# - sets the TR
# - overwrites 1st two volumes of each
# - writes list of imported base file names into runs_basenames.txt
fBase=$1
TR=$2
inFi... |
39ec015a993f15f5aa81932325c51ac907abd83366790ffd33b3cc667321f69b | Shell | 1,347 | 32 | #!/bin/bash
#SBATCH --job-name=datalad_get_freesurfer_PNC
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=5
#SBATCH --mem=5G
#SBATCH --time=12:00:00
#SBATCH --propagate=NONE
#SBATCH --output=/cbica/projects/luo_wm_dev/two_axes/code/logs/datalad/PNC/freesurfer_%j.out
#SBATCH --error=/cbica/projects/luo_wm_dev/two_axes/code/l... |
c1cff2716cee81458a99fe63072820e605d88f938f56ba6be6145bc0c7f4b525 | Shell | 1,348 | 81 | #!/bin/bash
set -e
set -x # Enable shell tracing
cd ../..
if [ $# -eq 0 ]; then
echo "$0 experimental_date animal_id ?"
exit 1
else
ED=$1
ID=$2
nP=$3
fi
OUTPUT="e:/data/user/yu-ting/analysis/phys"
OUTPUT_FILE="$OUTPUT/${ED}_${ID}__2P_YW/plane${nP}/cli.log"
mkdir -p "$OUTPUT/${ED}_${ID}__2P_YW/plane${nP}"... |
6a29b9d3791026adfe6c0a9c203104fd48282554aa7ba523240498db00dbcbd2 | Shell | 1,349 | 53 | # ===== SET UP =====
set -ueo pipefail
if [ $# -ne 1 ]; then
echo -e "Usage: $0 <input_data_and_params>"
exit 1
fi
echo -e "#=====================\n#"
echo -e "# $(basename "$0") \n#"
echo -e "#=====================\n#"
# Read input config
neda=$(dirname $(dirname "$0"))
source $neda/scripts/process_input.sh... |
71543d1eabb1b298f5b0219836f8666ffe29cea60292e05226519c5c728f2596 | Shell | 1,351 | 37 | #!/bin/bash
# File: transform_jsons_dynamic.sh
# Usage: ./transform_jsons_dynamic.sh
TARGET_DIR="./read_in_E"
process_file() {
local file="$1"
local config_num=$(basename "$file" | grep -oE '[0-9]+') # Extract number from filename
echo "Processing: $file (Config $config_num)"
# Base path fo... |
0f72ed963a1a910f271ce4af5be463333865df0c0b62ff42efa4d561e0d79f93 | Shell | 1,354 | 60 | #!/bin/bash
sessionDir=$1
inFileBase=$2
analysisDir=${3:-analysis_for-renzo}
TR=${4:-3.70202}
TR1=${5:-1.51440}
shiftFraction=$(bc -l <<< "${TR1}/${TR}")
export FSLOUTPUTTYPE=NIFTI
curDir=$(pwd)
mkdir -p ${sessionDir}/${analysisDir}
cd ${sessionDir}/${analysisDir}
# import raw
cp ${sessionDir}/func/${inFileBase}... |
b6abb8d93ff64e136b4b1a6123ca6e8d8309209cf187042cfcf1f993707c0944 | Shell | 1,354 | 32 | #!/bin/bash
#SBATCH --job-name=datalad_get_freesurfer_HCPD
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=1
#SBATCH --mem=4G
#SBATCH --time=12:00:00
#SBATCH --propagate=NONE
#SBATCH --output=/cbica/projects/luo_wm_dev/two_axes/code/logs/datalad/HCPD/freesurfer_%j.out
#SBATCH --error=/cbica/projects/luo_wm_dev/two_axes/code... |
cdb7cb232263433876d02720cca89650f78139f546ae5da768096d112b09655c | Shell | 1,355 | 50 | #!/bin/bash
INITIAL_PARAMS=""
VALID_TESTS="mesh custom_mesh gpusolvers solvers simulation vtu txt bin en alg"
function PRINT_USAGE() {
echo "Usage $0 [profiler]" >&2;
echo "Valid profilers: all ${VALID_TESTS} (default is all)" >&2;
}
function RUN_PROFILER() {
lower_case_name=$1
test_bin_name="$(tr '[... |
905afd1bb583a41bc1636c4d39edf516ab4b155adc82649cc49f28f5c62a3eb3 | Shell | 1,358 | 42 | #!/bin/bash
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=1
#SBATCH --time=00:30:00
#SBATCH --output=/dev/null # suppress default output file
#SBATCH --error=/dev/null # suppress default error file
######################
# setup for ... |
c271d6dd6ed8c98472f846fe2a1b113107c5414a8f4cf8e6b5ee003865ee95ce | Shell | 1,359 | 42 | #!/bin/bash
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=1
#SBATCH --time=00:30:00
#SBATCH --output=/dev/null # suppress default output file
#SBATCH --error=/dev/null # suppress default error file
######################
# setup for ... |
fad4be0ac07f6fd1b3fdba955ffd0063a31a3002a0b1f4fecaae0a9c7cfd6815 | Shell | 1,360 | 32 | #!/bin/bash
#
#SBATCH --account=default
#SBATCH --time=0-24:00:00
#SBATCH --mem=24G
#SBATCH --partition day-long # Queue names you can submit to
# Outputs ----------------------------------
#SBATCH -o /home/%u/log/%x-%A-%a.out
#SBATCH -e /home/%u/log/%x-%A-%a.err
# ------------------------------------------
# This sb... |
752176e89b5c5275191352f9d5e17068148c63122323352f5e61b4777005b1e2 | Shell | 1,362 | 86 | #!/bin/bash
set -e
set -x # Enable shell tracing
cd ../..
if [ $# -eq 0 ]; then
echo "$0 experimental_date animal_id ?"
exit 1
else
ED=$1
ID=$2
nP=$3
fi
OUTPUT="e:/data/user/yu-ting/analysis/phys"
OUTPUT_FILE="$OUTPUT/${ED}_${ID}__2P_YW/plane${nP}/cli.log"
mkdir -p "$OUTPUT/${ED}_${ID}__2P_YW/plane${nP}"... |
60454239f3bf403a149db2ac6a0a0936c01ef6e6cbfd21fbabebda4f5d4675f1 | Shell | 1,368 | 45 | #!/bin/bash
#
# importruns_vaso-split.sh <basename> <TR> <run1_file> <run2_file>
#
# - imports functional vaso runs into current directory and splits them into nulled and
# non-nulled, assuming nulled to be first
# - sets the TR
# - overwrites 1st two volumes of each
# - writes list of imported base file names into r... |
51420c2cc302197e0a7350d38ba3c84be9b7c1f882136e9e6bb16cafd686a695 | Shell | 1,371 | 46 | #!/bin/bash
# Get the current git commit SHA and repo info
COMMIT_SHA=$(git rev-parse HEAD)
REPO_SLUG="lukas.novak/psychtoolbox"
# Run the CI pipeline in Docker
docker run --rm \
-v $(pwd):/psychtoolbox \
-w /psychtoolbox \
-e CODECOV_TOKEN=$CODECOV_TOKEN \
-e COMMIT_SHA=$COMMIT_SHA \
-e REPO_SLUG=$REPO_SLU... |
5ec244d134f853628872a2450eaaa0df4580625d2105581a544afbb3b976d38b | Shell | 1,371 | 51 | #!/bin/bash -l
#SBATCH -J eiann_gpu_mnist
#SBATCH -o /scratch2/11358/yashchennawar5555/logs/EIANN/eiann_gpu_mnist.%j.o
#SBATCH -e /scratch2/11358/yashchennawar5555/logs/EIANN/eiann_gpu_mnist.%j.e
#SBATCH --requeue
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --partition=rtx
#SBATCH --mem=16G
#SBATCH --cpus-per-task=4
#... |
c37645c89333b201ff5fcfb6d6b35cba303508de25f3447c450b318a5990e01a | Shell | 1,381 | 33 | ### Main loop ###
### index ref
minimap2 -t 22 -I 1000G -d ./ReferenceData/transcript.mmi ./ReferenceData/transcript.fna
mkdir Analysis/
mkdir Analysis/Minimap/
mkdir Analysis/samtools/
mkdir Analysis/Salmon/
mkdir Analysis/Results/
for infile in ./RawData/*.fastq
do
base=$(basename ${infile} .fastq)
# align to ref
m... |
9f52cec133bfb6f3f27111bf67dfa5ba351bf31e6b5414231adae9b2aadeeeea | Shell | 1,383 | 37 | # train an ensemble distilled DeepSTARR model using distilled training data
ENSEMBLE_SIZE=10
ENSEMBLE_DIR=../results/DeepSTARR_lr-decay
DATA=../data/DeepSTARR/Sequences_activity_all.h5
CONFIG=../config/DeepSTARR.yaml
PROJECT_NAME=DeepSTARR_ensemble # for wandb logger
EVOAUG=true
if [ "$EVOAUG" = true ]; then
ENSEMBL... |
398f71ad1176b448104ad64fa467d01dcaf229c8e1814bdf34a6a8c78f2534b6 | Shell | 1,384 | 46 | #!/bin/bash
# HCPD
json_content='{
"Acknowledgements": "",
"Authors": [],
"BIDSVersion": "1.0.2",
"DatasetDOI": "",
"Funding": [],
"HowToAcknowledge": "",
"License": "",
"Name": "RBC_HCPD",
"ReferencesAndLinks": [],
"template": "project"
}'
HCPD_json="/cbica/projects/luo_wm_de... |
5dd89038201afb5a031bcb7b44fa0e371a6b2943407b84e7bff9dc9e56a18718 | Shell | 1,385 | 41 | #!/bin/bash
# set variables
datasets=("PNC" "HCPD" "HBN")
#tract_list=("Inferior_Fronto-occipital" "Callosum_Motor")
#inputarray=("${tract_list[@]}")
#tract_count=${#inputarray[@]}
# submit job array for each dataset with elements in array being tracts
for dataset in "${datasets[@]}"; do
logs_dir="/cbica/proje... |
4c960cb0eeb56be7cc4dc3fee35038a77b20ed3b3208a9a9d1abd7adf23e1d7e | Shell | 1,387 | 79 | #! /bin/bash
set -e
spatial_agg() {
local m=$1
shift 1
sleep 60
python -m rscvp.statistic.$m \
-D 211210,220322,211207,220325,220901,220902,221216,221215,230113 \
-A YW022,YW033,YW032,YW036,YW045,YW045,YW048,YW048,YW049 \
-P ,,,,0,,,, \
--used_session light_bas \
--page dark_parq \
--update \
... |
0bfffd066edb3fee80f6360c59e2140a7cf8310ffc4c4ceb2e56fb8f687a20cb | Shell | 1,391 | 42 | #!/bin/bash
set -e # Exit on first error
PROJECT_DIR="$(pwd)"
VENV_DIR="$PROJECT_DIR/py_env"
FREEZE_FILE="$PROJECT_DIR/pyenv.lock"
PIP="$VENV_DIR/bin/pip"
echo "📁 Working directory: $PROJECT_DIR"
# Step 0: Check Python version
PYTHON_VERSION_FULL=$(python3 -c 'import sys; print(".".join(map(str, sys.version_info[:... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.